import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { useCube } from 'qj-mobile-store';
const CubeJsx = ({ defaultValue, type, borderRadius, paddingTop, paddingLeft, paddingRight, paddingBottom, selectImg }) => {
    const { View, Image } = useComponent();
    const list = useCube(defaultValue, selectImg);
    return (_jsx(View, Object.assign({ style: {
            paddingTop,
            paddingBottom
        } }, { children: _jsx(View, Object.assign({ className: `cube-type${type}`, style: { paddingLeft, paddingRight } }, { children: list.map((item, index) => {
                return type === 1 ? (_jsx(Image, { mode: 'widthFix', src: item.imgUrl, style: {
                        width: '100%',
                        borderRadius: borderRadius + 'px'
                    } }, index)) : (_jsx(View, { className: 'block', style: {
                        backgroundImage: `url(${item.imgUrl})`,
                        width: '100%',
                        borderRadius: borderRadius + 'px'
                    }, onClick: () => {
                        if (process.env.TARO_ENV === 'weapp') {
                            // Taro?.navigateTo({
                            //   url: item.link,
                            // })
                        }
                    } }, index));
            }) })) })));
};
export const Cube = memo(CubeJsx);
